[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"


[project]
name = "flexoentity"
version = "0.0.1"
description = "Core entity and ID framework for the Flex-O ecosystem."
readme = "README.md"
license = { text = "MIT" }

authors = [
  { name = "Enrico Enno Schwass", email = "ennoausberlin@mac.com" }
]

requires-python = ">=3.10.6"

keywords = [
  "flex-o",
  "entity",
  "id",
  "versioning",
  "hashing",
  "reproducibility"
]

classifiers = [
  "Development Status :: 5 - Production/Stable",
  "Programming Language :: Python :: 3",
  "License :: OSI Approved :: MIT License",
  "Operating System :: OS Independent"
]

# Runtime dependencies
dependencies = []


[project.optional-dependencies]
dev = [
  "pytest>=7.1.3"
]


[project.urls]
Homepage = "https://gitlab.kokyou.de/enno/flexoentity"
Repository = "https://gitlab.kokyou.de/enno/flexoentity.git"
Documentation = "https://gitlab.kokyou.de/enno/flexoentity/docs"


# ───────────── Hatchling configuration ─────────────

[tool.hatch.build.targets.wheel]
packages = ["flexoentity"]


[tool.hatch.build.targets.sdist]
include = [
  "flexoentity/**",
  "tests/**",
  "README.md",
  "pyproject.toml"
]
